#include<iostream>
#include<iomanip>
#include<string>
#include<algorithm>
#include<math.h>

using namespace std;

long long a[200003];
double p[200003];
double pom[300000];
int main()
{
	long long n,i,j,k;
	cin >> n;
	for ( i = 0; i < n; i++)
	{
		cin >> a[i] >> p[i];
	}
	long long indx = 0;
	double maxzarada = 0;
	double zbir;
    for (i = 0; i < n; i++)
	{
		double provera = p[i];
		for ( j = 0; j < n; j++)
		{
			if (provera<= p[j])
			{
				pom[indx] = a[j] * (provera / 100);
				indx++;
			}
		}
		zbir = 0;
		for ( k= 0; k < indx; k++)
		{
			zbir += pom[k];
		}
		if (zbir > maxzarada)
		{
			maxzarada = zbir;
		}
		indx = 0;
	}

	cout << setprecision(100);
	cout << maxzarada << endl;

	





	return 0;
}